From b568bd0963094e7c1eac897fa17a22f06260823e Mon Sep 17 00:00:00 2001
From: Teng Jian Khoo <teng.jian.khoo@cern.ch>
Date: Fri, 20 Apr 2018 16:42:10 +0200
Subject: [PATCH] Add ART tests for JETM13

Former-commit-id: 689facbf7d1d778f0b0a7e10e00cb6c74e9d2edb
---
 .../test/test_data17JETM13.sh                 | 25 +++++++++++++++++++
 .../test/test_mc16JETM13.sh                   | 25 +++++++++++++++++++
 2 files changed, 50 insertions(+)
 create mode 100644 PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_data17JETM13.sh
 create mode 100644 PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_mc16JETM13.sh

diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_data17JETM13.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_data17JETM13.sh
new file mode 100644
index 00000000000..35036f78521
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_data17JETM13.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# art-description: DAOD building JETM13 data17
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile.txt
+# art-output: checkxAOD.txt
+
+set -e
+
+Reco_tf.py --inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/DerivationFrameworkART/AOD.12818484._004694.pool.root.1 --outputDAODFile art.pool.root --reductionConf JETM13 --maxEvents -1 --preExec 'rec.doApplyAODFix.set_Value_and_Lock(True);from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.CalibrationTag = "BTagCalibRUN12Onl-08-40" ' 
+
+echo "art-result: $? reco"
+
+DAODMerge_tf.py --inputDAOD_JETM13File DAOD_JETM13.art.pool.root --outputDAOD_JETM13_MRGFile art_merged.pool.root
+
+echo "art-result: $? merge"
+
+checkFile.py DAOD_JETM13.art.pool.root > checkFile.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM13.art.pool.root > checkxAOD.txt
+
+echo "art-result: $?  checkxAOD"
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_mc16JETM13.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_mc16JETM13.sh
new file mode 100644
index 00000000000..4e9975fbc90
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/test/test_mc16JETM13.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+# art-description: DAOD building JETM13 mc16
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile.txt
+# art-output: checkxAOD.txt
+
+set -e
+
+Reco_tf.py --inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/DerivationFrameworkART/AOD.12169019._004055.pool.root.1 --outputDAODFile art.pool.root --reductionConf JETM13 --maxEvents -1 --preExec 'rec.doApplyAODFix.set_Value_and_Lock(True);from BTagging.BTaggingFlags import BTaggingFlags;BTaggingFlags.CalibrationTag = "BTagCalibRUN12-08-40" ' 
+
+echo "art-result: $? reco"
+
+DAODMerge_tf.py --inputDAOD_JETM13File DAOD_JETM13.art.pool.root --outputDAOD_JETM13_MRGFile art_merged.pool.root
+
+echo "art-result: $? merge"
+
+checkFile.py DAOD_JETM13.art.pool.root > checkFile.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM13.art.pool.root > checkxAOD.txt
+
+echo "art-result: $?  checkxAOD"
-- 
GitLab